<?php
/*
  *******************************************
  plugin JUpload for Coppermine Photo Gallery
  *******************************************

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  $Source: $
  $Revision: ?
  $Author: etienne_sf $
  $Date: $
**********************************************/

/*
 * Receive a picture uploaded by the jupload.php script (through the JUpload applet)
 * 
 * Up to date version of this script can be retrieved with the full JUpload package, here:
 * 
 * http://etienne.lesgauhthier.fr/wiki
 * 
 * Directly here:
 * http://etienne.lesgauthier.fr/wiki/doku.php?id=jupload_coppermine_download_gb
 * 
 * The applet is published on sourceforge:
 * http://jupload.sourceforge.net
 * 
 */


if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...');}
if (!defined('JUPLOAD_PHP')) { die('Not in Jupload...');}


//####################################################################################################
//#################################     INCLUDES    ##################################################
//####################################################################################################

//Let's also include the upload text.
define('UPLOAD_PHP', true);
define('DB_INPUT_PHP', true);
define('ADMIN_PHP', true);

// Specific includes
require('include/picmgmt.inc.php');
require('include/mailer.inc.php');


//####################################################################################################
//################################# MAIN CODE BLOCK ##################################################
//####################################################################################################

//This script should only be called by the JUpload applet. This means that the current user has upload 
//authorization. If not, someone is trying to spam the admin. 
//USER_CAN_CREATE_ALBUMS: seems to indicate that the user may have its personnal gallery (at least for the admin)
if (!USER_CAN_UPLOAD_PICTURES && !USER_CAN_CREATE_ALBUMS) {
	$msg = str_replace('$1', 'login.php?referer=plugins/jupload/jupload.php', $lang_jupload_php['perm_denied']);

	cpg_die(ERROR, $msg, __FILE__, __LINE__);
}
//Get  parameters.
$description	= isset($_POST['description']	) ? $_POST['description'] 	: '';
$log		 	= isset($_POST['log']			) ? $_POST['log'] 			: '';

//Set local variables, from coppermine configuration
$url_parsed		= parse_url($CONFIG['site_url']);
$to				= $CONFIG['gallery_admin_email'];
$from			= $CONFIG['gallery_admin_email'];
$current_user	= "$USER_NAME (${user_data['user_email']})";  

$headers		= "From: $from\r\n" .
					"Content-type: text/plain\r\n";
$subject		= "[log_error]$description";
$body			= "An error occured in JUpload applet, for the user ${USER_DATA['user_name']} (mail: $current_user)."
					. "\n\nHere is the debug output for his session within the applet:\n\n"
					.str_replace("\n", "\r\n", $log);

echo ("to: $to\n");
echo ("from: $from\n");
echo ("description: $description\n") ;
echo ("body: $log\n") ;


//Let's send the mail.
$return = cpg_mail ($to, $subject, $body, 'text/plain', 'jupload', $from);
if ($return == 'Mail sent!') {
	$return  ="SUCCESS";
} else if ($return == ""){
	$return = "Error : cpg_mail returned an empty string !";
}

if ($return != 'SUCCESS') {
	//It's an error. We log it, into the main Coppermine Log.
	log_write("$body\r\n$return");
}

/*
if (mail($to, $subject, $body, $headers)) {
	echo "SUCCESS";
} else if ($return == ""){
	//To bad, it's an error.
	echo "Error while sending the mail.";
}
*/

